aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-07-02 15:27:49 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2021-07-02 16:45:51 +0200
commit74ca95e4a67830d7420407c187edf7e8962eea9f (patch)
tree4cc1084d7f6cb9cf55b40de3ee63719667f79dc5
parent1e6660ff25a5e9426cbec2cf57d606d38db1911c (diff)
Updates for LL branch
Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I41fd76d4077fc105f816727366aeb662a2a2afe8
-rw-r--r--jjb/ci-apps-verify/ci-apps-jjb.yaml1
-rw-r--r--jjb/common/include-agl-header.sh2
-rw-r--r--jjb/common/include-agl-run-test-prepare.sh2
-rw-r--r--jjb/common/include-agl-set-compositor-image.sh2
-rw-r--r--jjb/common/include-agl-set-html5-image.sh2
-rw-r--r--jjb/common/include-apps-header.sh2
6 files changed, 6 insertions, 5 deletions
diff --git a/jjb/ci-apps-verify/ci-apps-jjb.yaml b/jjb/ci-apps-verify/ci-apps-jjb.yaml
index 1a2bdb37..da0ee16a 100644
--- a/jjb/ci-apps-verify/ci-apps-jjb.yaml
+++ b/jjb/ci-apps-verify/ci-apps-jjb.yaml
@@ -6,6 +6,7 @@
- icefish
- jellyfish
- koi
+ - lamprey
architecture:
- aarch64
- x86-64
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index b11dd04c..077aa1b6 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -158,7 +158,7 @@ if test x"h3ulcb-nogfx" = x"$MACHINE"; then
export TARGETIMAGE=${TARGETIMAGEnogfx}
export TARGETSDKIMAGE="agl-image-ivi-crosssdk"
fi
- if test x"master" = x"${TARGETBRANCH}" -o x"koi" = x"${TARGETBRANCH}"; then
+ if test x"master" = x"${TARGETBRANCH}" -o x"lamprey" = x"${TARGETBRANCH}" -o x"koi" = x"${TARGETBRANCH}"; then
export TARGETFEATURES="${TARGETFEATURESnogfx} agl-refhw-h3"
else
export TARGETFEATURES="${TARGETFEATURESnogfx}"
diff --git a/jjb/common/include-agl-run-test-prepare.sh b/jjb/common/include-agl-run-test-prepare.sh
index 15b2b84b..a7053098 100644
--- a/jjb/common/include-agl-run-test-prepare.sh
+++ b/jjb/common/include-agl-run-test-prepare.sh
@@ -105,7 +105,7 @@ qemuarm64)
gen_info || exit 0
;;
h3ulcb-nogfx)
- if test x"master" = x"${TARGETBRANCH}" -o x"koi" = x"${TARGETBRANCH}"; then
+ if test x"master" = x"${TARGETBRANCH}" -o x"lamprey" = x"${TARGETBRANCH}" -o x"koi" = x"${TARGETBRANCH}"; then
lava_device=r8a7795-agl-refhw
releng_device=r8a7795-agl-refhw
gen_info || exit 0
diff --git a/jjb/common/include-agl-set-compositor-image.sh b/jjb/common/include-agl-set-compositor-image.sh
index 10b6c7e2..456b65da 100644
--- a/jjb/common/include-agl-set-compositor-image.sh
+++ b/jjb/common/include-agl-set-compositor-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master jellyfish icefish koi" | grep -q $TARGETBRANCH ) || exit 0
+( echo "master jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
# Use the agl-compositor
export TARGETFEATURES="agl-demo agl-devel agl-netboot"
diff --git a/jjb/common/include-agl-set-html5-image.sh b/jjb/common/include-agl-set-html5-image.sh
index 27188ebc..33019c36 100644
--- a/jjb/common/include-agl-set-html5-image.sh
+++ b/jjb/common/include-agl-set-html5-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master jellyfish icefish koi" | grep -q $TARGETBRANCH ) || exit 0
+( echo "master jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
export TARGETFEATURES="agl-demo agl-devel"
export TARGETQA=""
diff --git a/jjb/common/include-apps-header.sh b/jjb/common/include-apps-header.sh
index cb116fba..d71fcc37 100644
--- a/jjb/common/include-apps-header.sh
+++ b/jjb/common/include-apps-header.sh
@@ -109,7 +109,7 @@ case "$TARGETARCH" in
x86-64)
export TARGETSDKARCH="corei7-64"
# starting with master, we use qemu for the SDK.
- if test x"master" = x"$AGLBRANCH" -o x"jellyfish" = x"${AGLBRANCH}" -o x"koi" = x"${AGLBRANCH}" ; then
+ if test x"master" = x"$AGLBRANCH" -o x"jellyfish" = x"${AGLBRANCH}" -o x"lamprey" = x"${AGLBRANCH}" -o x"koi" = x"${AGLBRANCH}" ; then
export TARGETSDKMACHINE="qemux86-64"
else
export TARGETSDKMACHINE="intel-corei7-64"